/**
 * @file
 * JavaScript functions for Routes for on-page functionality.
 */

/**
 * Adds a marker to the map with an info window.
 *
 * @param point
 *   Latitude/longitude point to put the marker at.
 * @param text
 *   Text to put in the marker.
 * @param iconnum
 *   Number of the icon to use.
 */
function routes_add_marker(point, text, iconnum) {
  var marker = L.marker(point, {icon: routes_icons[iconnum] });
  if (text.length) {
    marker.bindPopup(text);
  }
  marker.addTo(routesmap);
}
